PDF417ResultMetadata (ZXing 3.5.0 API)

com.google.zxing.pdf417

## Class PDF417ResultMetadata

- java.lang.Object
- - com.google.zxing.pdf417.PDF417ResultMetadata

-     public final class PDF417ResultMetadata
      extends Object

  Author:
    Guenther Grau

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDF417ResultMetadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddressee()`
    `int` | `getChecksum()` 16-bit CRC checksum using CCITT-16
    `String` | `getFileId()` Is the same for each related PDF417 symbol
    `String` | `getFileName()` Filename of the encoded file
    `long` | `getFileSize()` filesize in bytes of the encoded file
    `int[]` | `getOptionalData()` Deprecated. use dedicated already parsed fields
    `int` | `getSegmentCount()`
    `int` | `getSegmentIndex()` The Segment ID represents the segment of the whole file distributed over different symbols.
    `String` | `getSender()`
    `long` | `getTimestamp()` unix epock timestamp, elapsed seconds since 1970-01-01
    `boolean` | `isLastSegment()`
    `void` | `setAddressee(String addressee)`
    `void` | `setChecksum(int checksum)`
    `void` | `setFileId(String fileId)`
    `void` | `setFileName(String fileName)`
    `void` | `setFileSize(long fileSize)`
    `void` | `setLastSegment(boolean lastSegment)`
    `void` | `setOptionalData(int[] optionalData)` Deprecated. parse and use new fields
    `void` | `setSegmentCount(int segmentCount)`
    `void` | `setSegmentIndex(int segmentIndex)`
    `void` | `setSender(String sender)`
    `void` | `setTimestamp(long timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDF417ResultMetadata

          public PDF417ResultMetadata()

  - ### Method Detail

    - #### getSegmentIndex

          public int getSegmentIndex()

      The Segment ID represents the segment of the whole file distributed over different symbols.
      Returns:
        File segment index

    - #### setSegmentIndex

          public void setSegmentIndex(int segmentIndex)

    - #### getFileId

          public String getFileId()

      Is the same for each related PDF417 symbol
      Returns:
        File ID

    - #### setFileId

          public void setFileId(String fileId)

    - #### getOptionalData

          @Deprecated
          public int[] getOptionalData()

      Deprecated. use dedicated already parsed fields
      Returns:
        always null

    - #### setOptionalData

          @Deprecated
          public void setOptionalData(int[] optionalData)

      Deprecated. parse and use new fields
      Parameters:
        `optionalData` - old optional data format as int array

    - #### isLastSegment

          public boolean isLastSegment()

      Returns:
        true if it is the last segment

    - #### setLastSegment

          public void setLastSegment(boolean lastSegment)

    - #### getSegmentCount

          public int getSegmentCount()

      Returns:
        count of segments, -1 if not set

    - #### setSegmentCount

          public void setSegmentCount(int segmentCount)

    - #### getSender

          public String getSender()

    - #### setSender

          public void setSender(String sender)

    - #### getAddressee

          public String getAddressee()

    - #### setAddressee

          public void setAddressee(String addressee)

    - #### getFileName

          public String getFileName()

      Filename of the encoded file
      Returns:
        filename

    - #### setFileName

          public void setFileName(String fileName)

    - #### getFileSize

          public long getFileSize()

      filesize in bytes of the encoded file
      Returns:
        filesize in bytes, -1 if not set

    - #### setFileSize

          public void setFileSize(long fileSize)

    - #### getChecksum

          public int getChecksum()

      16-bit CRC checksum using CCITT-16
      Returns:
        crc checksum, -1 if not set

    - #### setChecksum

          public void setChecksum(int checksum)

    - #### getTimestamp

          public long getTimestamp()

      unix epock timestamp, elapsed seconds since 1970-01-01
      Returns:
        elapsed seconds, -1 if not set

    - #### setTimestamp

          public void setTimestamp(long timestamp)

Copyright © 2007–2022. All rights reserved.